clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::CodeGen::ConstantAddress Class Reference

A specialization of Address that requires the address to be an LLVM Constant. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/Address.h"`

Inheritance diagram for clang::CodeGen::ConstantAddress:
[legend]
Collaboration diagram for clang::CodeGen::ConstantAddress:
[legend]

## Public Member Functions
| ConstantAddress (llvm::Constant *pointer, CharUnits alignment)
llvm::Constant * | getPointer () const
ConstantAddress | getBitCast (llvm::Type *ty) const
ConstantAddress | getElementBitCast (llvm::Type *ty) const
Public Member Functions inherited from clang::CodeGen::Address
| Address (llvm::Value *pointer, CharUnits alignment)
bool | isValid () const
llvm::Value * | getPointer () const
llvm::PointerType * | getType () const
| Return the type of the pointer value. More...
llvm::Type * | getElementType () const
| Return the type of the values stored in this address. More...
unsigned | getAddressSpace () const
| Return the address space that this address resides in. More...
llvm::StringRef | getName () const
| Return the IR name of the pointer value. More...
CharUnits | getAlignment () const
| Return the alignment of this pointer. More...

## Static Public Member Functions
static ConstantAddress | invalid ()
static bool | isaImpl (Address addr)
static ConstantAddress | castImpl (Address addr)
Static Public Member Functions inherited from clang::CodeGen::Address
static Address | invalid ()

## Detailed Description

A specialization of Address that requires the address to be an LLVM Constant.

Definition at line 75 of file Address.h.

## Constructor & Destructor Documentation

## ◆ ConstantAddress()

clang::CodeGen::ConstantAddress::ConstantAddress | ( | llvm::Constant * | pointer,
|  | CharUnits | alignment
| ) |  |
| inline

Definition at line 77 of file Address.h.

## Member Function Documentation

## ◆ castImpl()

static ConstantAddress clang::CodeGen::ConstantAddress::castImpl | ( | Address | addr | ) |
| inline static

Definition at line 100 of file Address.h.

References clang::CodeGen::Address::getAlignment(), and clang::CodeGen::Address::getPointer().

## ◆ getBitCast()

ConstantAddress clang::CodeGen::ConstantAddress::getBitCast | ( | llvm::Type * | ty | ) | const
| inline

Definition at line 88 of file Address.h.

References clang::CodeGen::Address::getAlignment(), and clang::CodeGen::Address::getPointer().

## ◆ getElementBitCast()

ConstantAddress clang::CodeGen::ConstantAddress::getElementBitCast | ( | llvm::Type * | ty | ) | const
| inline

Definition at line 93 of file Address.h.

References clang::CodeGen::Address::getAddressSpace().

## ◆ getPointer()

llvm::Constant* clang::CodeGen::ConstantAddress::getPointer | ( |  | ) | const
| inline

Definition at line 84 of file Address.h.

References clang::CodeGen::Address::getPointer().

Referenced by buildBlockDescriptor(), createConstantGlobalStructAndAddToParent(), EmitDeclDestroy(), EmitFunctionDeclPointer(), clang::CodeGen::CodeGenFunction::EmitObjCBoxedExpr(), clang::CodeGen::CodeGenFunction::GenerateCXXGlobalInitFunc(), and clang::CodeGen::CodeGenModule::getNullPointer().

## ◆ invalid()

static ConstantAddress clang::CodeGen::ConstantAddress::invalid | ( |  | ) |
| inline static

Definition at line 80 of file Address.h.

## ◆ isaImpl()

static bool clang::CodeGen::ConstantAddress::isaImpl | ( | Address | addr | ) |
| inline static

Definition at line 97 of file Address.h.

References clang::CodeGen::Address::getPointer().

The documentation for this class was generated from the following file:

- lib/CodeGen/Address.h